Loading...
Searching...
No Matches
XrdHttpModule.cc File Reference
`#include "XrdVersion.hh"`
`#include "XrdHttpProtocol.hh"`
Include dependency graph for XrdHttpModule.cc:

Go to the source code of this file.

## Functions

XrdProtocol * | XrdgetProtocol (const char *pname, char *parms, XrdProtocol_Config *pi)
int | XrdgetProtocolPort (const char *pname, char *parms, XrdProtocol_Config *pi)
| XrdVERSIONINFO (XrdgetProtocol, xrdhttp)
| XrdVERSIONINFO (XrdgetProtocolPort, xrdhttp)

## Function Documentation

## XrdgetProtocol()

XrdProtocol * XrdgetProtocol | ( | const char * | pname,
|  | char * | parms,
|  | XrdProtocol_Config * | pi )

Definition at line 19 of file XrdHttpModule.cc.

{
XrdProtocol *pp = 0;
const char *txt = "completed.";
// Put up the banner
//
pi->eDest->Say("Copr. 2012 CERN IT, an HTTP implementation for the XRootD framework.");
pi->eDest->Say("++++++ HTTP protocol initialization started.");
// Return the protocol object to be used if static init succeeds
//
if (XrdHttpProtocol::Configure(parms, pi))
pp = (XrdProtocol *)new XrdHttpProtocol(false);
else txt = "failed.";
pi->eDest->Say("------ HTTP protocol initialization ", txt);
return pp;
}
XrdHttpProtocol
Definition XrdHttpProtocol.hh:81
XrdHttpProtocol::Configure
static int Configure(char *parms, XrdProtocol_Config *pi)
Read and apply the configuration.
Definition XrdHttpProtocol.cc:1752
XrdProtocol_Config::eDest
XrdSysError * eDest
Definition XrdProtocol.hh:61
XrdProtocol
Definition XrdProtocol.hh:125
XrdSysError::Say
void Say(const char *text1, const char *text2=0, const char *txt3=0, const char *text4=0, const char *text5=0, const char *txt6=0)
Definition XrdSysError.cc:141

References XrdHttpProtocol::Configure(), XrdProtocol_Config::eDest, and XrdSysError::Say().

Here is the call graph for this function:

## XrdgetProtocolPort()

int XrdgetProtocolPort | ( | const char * | pname,
|  | char * | parms,
|  | XrdProtocol_Config * | pi )

Definition at line 53 of file XrdHttpModule.cc.

{
// Figure out what port number we should return. In practice only one port
// number is allowed. However, we could potentially have a clustered port
// and several unclustered ports. So, we let this practicality slide.
//
if (pi->Port < 0) return 1094;
return pi->Port;
}
XrdProtocol_Config::Port
int Port
Definition XrdProtocol.hh:73

References XrdProtocol_Config::Port.

## XrdVERSIONINFO() [1/2]

XrdVERSIONINFO | ( | XrdgetProtocol | ,
|  | xrdhttp | )

References XrdgetProtocol().

Here is the call graph for this function:

## XrdVERSIONINFO() [2/2]

XrdVERSIONINFO | ( | XrdgetProtocolPort | ,
|  | xrdhttp | )

References XrdgetProtocolPort().

Here is the call graph for this function: